//
//  CantripPluginManager.h
//  CantripPluginSDK
//
//  Created by James Callender on Mon Jan 13 2003.
//  Copyright (c) 2003 James Callender. All rights reserved.
//

/*!
 	@protocol PluginManagerProtocol
	@abstract Protocol implemented by the plugin manager.
	@discussion Description forthcoming. 
*/
@protocol PluginManagerProtocol

/*!
	@method pluginsArray
	@abstract Returns an array of plugins.
	@discussion This method will return an array of loaded plugins.
*/
- (NSArray *)pluginsArray;

/*!
	@method registerPlugin:forService:priority:
	@abstract Register a plugin for a given service.  
	@discussion Discussion forthcoming.
	@param plugin Plugin to be registered.
	@param type Service type for registering.
	@param priority Priority for service.  Generally this should be 0, unless a higher priority it needed.  The number is arbitrary.
*/
- (void)registerPlugin:(CantripPlugin *)plugin 
		forService:(CantripPluginService)type 
		priority:(int)priority;
		
@end